# vim: set sw=4 ts=4 et:
#
# spec file for package vdpau-video
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           vdpau-video
Version:        0.7.4
Release:        1.2
Summary:        VDPAU DRI Driver Interface to NVidia
License:        MIT
Group:          System/Libraries
Url:            http://www.freedesktop.org/wiki/Software/vaapi
Source:         http://cgit.freedesktop.org/vaapi/vdpau-driver/snapshot/vdpau-driver-%{version}.tar.gz
Patch0:         vdpau-video-GL_GLEXT_VERSION-85-fix.patch
Patch1:         vdpau-video-libva-new-api.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  Mesa-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  libva-devel
BuildRequires:  libvdpau-devel
BuildRequires:  pkgconfig
Provides:       vdpau-video-nvidia = %{version}
Obsoletes:      vdpau-video-nvidia < %{version}

%description
VDPAU Driver Bridge for NVidia Binary blob driver

%prep
%setup -q -n vdpau-driver-%{version}
%patch0
%patch1 -p1

%build
autoreconf -vi
%configure --disable-silent-rules
make %{?_smp_flags}

%install
%make_install
rm %{buildroot}%{_libdir}/dri/*.la

%files
%defattr(-, root, root)
%doc NEWS README AUTHORS COPYING
%{_libdir}/dri/*.so

%changelog
* Tue Sep 24 2013 scarabeus@opensuse.org
- Version bump to 0.7.4: various api fixes
- Add patch vdpau-video-libva-new-api.patch which removes
  h264 support which was removed from libva
- Cleanup the spec to match what other distros do.
* Wed Mar  6 2013 fisiu@opensuse.org
- Add vdpau-video-GL_GLEXT_VERSION-85-fix.patch: fix build for
  openSUSE >= 12.3.
* Sun May 20 2012 seife+obs@b1-systems.com
- add automake/autoconf/libtool buildreq to fix factory build
* Sat Mar 12 2011 pascal.bleser@opensuse.org
- update to 0.7.3
- renamed packae to vdpau-video
* Sun Feb 13 2011 dominique-vlc.suse@leuenberger.net
- BuildRequire pkgconfig instead of pkg-config (Fedora Compatible)
* Sat Nov  6 2010 dominique-vlc.suse@leuenberger.net
- BuildRequire Mesa-devel.
* Sun Aug 15 2010 dominique-vlc.suse@leuenberger.net
- Change the sds detection patch: libva 1.0.4 identifies itself
  as high enough to fail the test, resulting the init function
  being named _sds again in vdpau. libva does not require _Sds
  though.
* Tue Aug  3 2010 dominique-vlc.suse@leuenberger.net
- Update to version 0.6.10.
* Sat Jun 12 2010 dominique-vlc.suse@leuenberger.net
- Initial package of nvidia vdpau driver for nvidia.
